%define desktop_vendor magnus-swe@telia.com
%{!?_dist: %{expand: %%define dist rhfc7}}

Summary:	GDHCPD -- A GTK+ administation tool for the ISC DHCPD server.
Name:		gdhcpd
Version:	0.3.2
Release:	0.1.%{dist}.nr
License:	GPL
Group:		Applications/System
URL:		http://mange.dynalias.org/linux.html
Source0:	http://mange.dynalias.org/linux/%{name}/%{name}-%{version}.tar.gz
BuildRoot:	%{_builddir}/%{name}-%{version}-root
Provides:	gdhcpd

%description
GDHCPD is a fast and easy to use GTK+ administration tool for the ISC DHCPD server.

%prep
%setup -q
%configure SYSINIT_START_CMD="chkconfig dhcpd on" SYSINIT_STOP_CMD="chkconfig dhcpd off"

%build
%{__make}

%install
rm -rf $RPM_BUILD_ROOT
%makeinstall INSTALL_USER=`id -un` INSTALL_GROUP=`id -gn`

# pam auth
install -d %{buildroot}%{_sysconfdir}/pam.d/
install -d %{buildroot}%{_sysconfdir}/security/console.apps
install -m 644 etc/pam.d/%{name} %{buildroot}%{_sysconfdir}/pam.d/%{name}
install -m 644 etc/security/console.apps/%{name} %{buildroot}%{_sysconfdir}/security/console.apps/%{name}

# desktop entry
install -d %{buildroot}%{_datadir}/applications
install -m 644 desktop/net-gdhcpd.desktop %{buildroot}%{_datadir}/applications/%{desktop_vendor}-%{name}.desktop

# docs wo version information
install -d %{buildroot}%{_datadir}/doc/%{name}
install -m 644 README COPYING AUTHORS ChangeLog %{buildroot}%{_datadir}/doc/%{name}/

%find_lang %name

%post 
if test ! -h %{_bindir}/gdhcpd; then \
ln -s %{_bindir}/consolehelper %{_bindir}/gdhcpd ; \
fi;

%clean
rm -rf $RPM_BUILD_ROOT

%files -f %{name}.lang
%defattr(0755, root, root)
%{_sbindir}/%{name}

%defattr(0644, root, root)

%{_datadir}/doc/%{name}/README
%{_datadir}/doc/%{name}/COPYING
%{_datadir}/doc/%{name}/AUTHORS
%{_datadir}/doc/%{name}/ChangeLog
%{_sysconfdir}/pam.d/%{name}
%{_sysconfdir}/security/console.apps/%{name}
%{_datadir}/applications/%{desktop_vendor}-%{name}.desktop
%{_datadir}/pixmaps/*.png
%dir %{_datadir}/pixmaps/%{name}
%{_datadir}/pixmaps/%{name}/*.png

%changelog
* Sat Jun 16 2007 Magnus-swe <magnus-swe@telia.com>
- Added sysinit start/stop commands.
- Updated pam.d specs.
* Fri Aug 25 2006 Magnus-swe <magnus-swe@telia.com>
- Fixed apply and populate scope settings.
